Debian Bug report logs - #573663
libthai: FTBFS: /usr/bin/install: cannot stat `./../doc/man/man3/th_render_text_tis.3': No such file or directory

version graph

Package: src:libthai; Maintainer for src:libthai is Theppitak Karoonboonyanan <thep@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sat, 13 Mar 2010 08:48:54 UTC

Severity: serious

Tags: sid, squeeze

Found in versions libthai/0.1.14-1, 0.1.14-1

Fixed in version libthai/0.1.14-2

Done: Theppitak Karoonboonyanan <thep@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Theppitak Karoonboonyanan <thep@debian.org>:
Bug#573663; Package src:libthai. (Sat, 13 Mar 2010 08:48:57 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Theppitak Karoonboonyanan <thep@debian.org>. (Sat, 13 Mar 2010 08:48:57 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libthai: FTBFS: /usr/bin/install: cannot stat `./../doc/man/man3/th_render_text_tis.3': No such file or directory
Date: Sat, 13 Mar 2010 09:20:31 +0100
Source: libthai
Version: 0.1.14-1
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100312 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[2]: Entering directory `/build/user-libthai_0.1.14-1-amd64-L7PMUw/libthai-0.1.14/doc'
> make[2]: Nothing to be done for `install-exec-am'.
> /usr/bin/install -c -d /build/user-libthai_0.1.14-1-amd64-L7PMUw/libthai-0.1.14/debian/tmp/usr/share/doc/libthai/html
> /usr/bin/install -c -m 644 html/* /build/user-libthai_0.1.14-1-amd64-L7PMUw/libthai-0.1.14/debian/tmp/usr/share/doc/libthai/html
> test -z "/usr/share/man/man3" || /bin/mkdir -p "/build/user-libthai_0.1.14-1-amd64-L7PMUw/libthai-0.1.14/debian/tmp/usr/share/man/man3"
>  /usr/bin/install -c -m 644 ../doc/man/man3/thailib.h.3 ./../doc/man/man3/th_brk.3 ../doc/man/man3/thbrk.h.3 ./../doc/man/man3/th_brk_line.3 ../doc/man/man3/thcell.h.3 ./../doc/man/man3/th_init_cell.3 ./../doc/man/man3/th_next_cell.3 ./../doc/man/man3/th_prev_cell.3 ./../doc/man/man3/th_make_cells.3 ../doc/man/man3/thcoll.h.3 ./../doc/man/man3/th_strcoll.3 ./../doc/man/man3/th_strxfrm.3 ../doc/man/man3/thctype.h.3 ./../doc/man/man3/th_istis.3 ./../doc/man/man3/th_isthai.3 ./../doc/man/man3/th_iseng.3 ./../doc/man/man3/th_isthcons.3 ./../doc/man/man3/th_isthvowel.3 ./../doc/man/man3/th_isthtone.3 ./../doc/man/man3/th_isthdiac.3 ./../doc/man/man3/th_isthdigit.3 ./../doc/man/man3/th_isthpunct.3 ./../doc/man/man3/th_istaillesscons.3 ./../doc/man/man3/th_isovershootcons.3 ./../doc/man/man3/th_isundershootcons.3 ./../doc/man/man3/th_isundersplitcons.3 ./../doc/man/man3/th_isldvowel.3 ./../doc/man/man3/th_isflvowel.3 ./../doc/man/man3/th_isupvowel.3 ./../doc/man/man3/th_isblvowel.3 ./../doc/man/man3/th_chlevel.3 ./../doc/man/man3/th_iscombchar.3 ../doc/man/man3/thinp.h.3 ./../doc/man/man3/th_isaccept.3 ./../doc/man/man3/th_validate.3 ../doc/man/man3/thrend.h.3 ./../doc/man/man3/th_render_cell_tis.3 ./../doc/man/man3/th_render_cell_win.3 ./../doc/man/man3/th_render_cell_mac.3 ./../doc/man/man3/th_render_text_tis.3 '/build/user-libthai_0.1.14-1-amd64-L7PMUw/libthai-0.1.14/debian/tmp/usr/share/man/man3'
> /usr/bin/install: cannot stat `./../doc/man/man3/th_brk.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_brk_line.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_init_cell.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_next_cell.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_prev_cell.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_make_cells.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_strcoll.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_strxfrm.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_istis.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_isthai.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_iseng.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_isthcons.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_isthvowel.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_isthtone.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_isthdiac.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_isthdigit.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_isthpunct.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_istaillesscons.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_isovershootcons.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_isundershootcons.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_isundersplitcons.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_isldvowel.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_isflvowel.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_isupvowel.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_isblvowel.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_chlevel.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_iscombchar.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_isaccept.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_validate.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_render_cell_tis.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_render_cell_win.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_render_cell_mac.3': No such file or directory
> /usr/bin/install: cannot stat `./../doc/man/man3/th_render_text_tis.3': No such file or directory
> make[2]: *** [install-man3] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/03/12/libthai_0.1.14-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Theppitak Karoonboonyanan <thep@debian.org>:
Bug#573663; Package src:libthai. (Sun, 14 Mar 2010 08:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neutron Soutmun <neo.neutron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Theppitak Karoonboonyanan <thep@debian.org>. (Sun, 14 Mar 2010 08:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 573663@bugs.debian.org (full text, mbox):

From: Neutron Soutmun <neo.neutron@gmail.com>
To: Debian Bug Tracking System <573663@bugs.debian.org>
Subject: libthai: Build OK in cowbuilder with sid-amd64 basepath
Date: Sun, 14 Mar 2010 15:18:07 +0700
Package: libthai
Version: 0.1.14-1
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I'm using cowbuilder 0.61 with the latest sid-amd64 basepath which
I could build this package just fine.

But the error still occured if I build it using pbuilder with sid-amd64 img.

Cheers,
Neutron

- -- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=th_TH.UTF-8, LC_CTYPE=th_TH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkucm7kACgkQ1k7Ar9TO/TeCDgCgg0fn7MR5/h5VLXPev+YaaV5n
gTkAoNO1Q1uT1xixiWkZ1tH6ESaqbVqz
=wCCw
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Theppitak Karoonboonyanan <thep@debian.org>:
Bug#573663; Package src:libthai. (Sun, 14 Mar 2010 09:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neutron Soutmun <neo.neutron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Theppitak Karoonboonyanan <thep@debian.org>. (Sun, 14 Mar 2010 09:48:04 GMT) Full text and rfc822 format available.

Message #15 received at 573663@bugs.debian.org (full text, mbox):

From: Neutron Soutmun <neo.neutron@gmail.com>
To: Debian Bug Tracking System <573663@bugs.debian.org>
Subject: libthai: My fault
Date: Sun, 14 Mar 2010 16:44:49 +0700
Package: libthai
Version: 0.1.14-1
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

So, the last time that the build is OK due to
the pbuilder options that I set to "-B" the binary only
which does not build the -doc, therefore the errors does not
occured.

Finally, I build without the "-B" option, still have the problems.

Downgrade the doxygen solve this, may be the changes in new doxygen
cause of this problem.


- -- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=th_TH.UTF-8, LC_CTYPE=th_TH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkucsA0ACgkQ1k7Ar9TO/TcrAACfYR0HbfBNr84CeRK07InAOQkq
6uwAmwe8W6ZqaWSt+4GtiVfSy/J/LokU
=VH1B
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#573663; Package src:libthai. (Sun, 14 Mar 2010 10:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theppitak Karoonboonyanan <thep@debian.org>:
Extra info received and forwarded to list. (Sun, 14 Mar 2010 10:09:04 GMT) Full text and rfc822 format available.

Message #20 received at 573663@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@debian.org>
To: Neutron Soutmun <neo.neutron@gmail.com>, 573663@bugs.debian.org
Subject: Re: Bug#573663: libthai: My fault
Date: Sun, 14 Mar 2010 17:07:16 +0700
On Sun, Mar 14, 2010 at 4:44 PM, Neutron Soutmun <neo.neutron@gmail.com> wrote:

> So, the last time that the build is OK due to
> the pbuilder options that I set to "-B" the binary only
> which does not build the -doc, therefore the errors does not
> occured.
>
> Finally, I build without the "-B" option, still have the problems.
>
> Downgrade the doxygen solve this, may be the changes in new doxygen
> cause of this problem.

Thanks for the test. Yes, the real fix should be done in doxygen instead.
But as the manpages are not used in Debian anyways, I'll fix it by
not building it at all. Only html is enough.

Regards,
-- 
Theppitak Karoonboonyanan
http://linux.thai.net/~thep/




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#573663; Package src:libthai. (Sun, 14 Mar 2010 10:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theppitak Karoonboonyanan <thep@debian.org>:
Extra info received and forwarded to list. (Sun, 14 Mar 2010 10:21:05 GMT) Full text and rfc822 format available.

Message #25 received at 573663@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@debian.org>
To: 573663@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#573663: libthai: My fault
Date: Sun, 14 Mar 2010 17:19:06 +0700
clone 573663 -1
reassign -1 doxygen
retitle -1 doxygen: C symbols manpages generated with extra leading underscore
severity -1 normal
thanks

On Sun, Mar 14, 2010 at 5:07 PM, Theppitak Karoonboonyanan
<thep@debian.org> wrote:

> Thanks for the test. Yes, the real fix should be done in doxygen instead.
> But as the manpages are not used in Debian anyways, I'll fix it by
> not building it at all. Only html is enough.

Cloning the bug for doxygen before working around libthai.

Regards,
-- 
Theppitak Karoonboonyanan
http://linux.thai.net/~thep/




Bug 573663 cloned as bug 573832. Request was from Theppitak Karoonboonyanan <thep@debian.org> to control@bugs.debian.org. (Sun, 14 Mar 2010 10:21:06 GMT) Full text and rfc822 format available.

Reply sent to Theppitak Karoonboonyanan <thep@debian.org>:
You have taken responsibility. (Sun, 14 Mar 2010 10:51:27 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 14 Mar 2010 10:51:27 GMT) Full text and rfc822 format available.

Message #32 received at 573663-close@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@debian.org>
To: 573663-close@bugs.debian.org
Subject: Bug#573663: fixed in libthai 0.1.14-2
Date: Sun, 14 Mar 2010 10:47:52 +0000
Source: libthai
Source-Version: 0.1.14-2

We believe that the bug you reported is fixed in the latest version of
libthai, which is due to be installed in the Debian FTP archive:

libthai-data_0.1.14-2_all.deb
  to main/libt/libthai/libthai-data_0.1.14-2_all.deb
libthai-dev_0.1.14-2_i386.deb
  to main/libt/libthai/libthai-dev_0.1.14-2_i386.deb
libthai-doc_0.1.14-2_all.deb
  to main/libt/libthai/libthai-doc_0.1.14-2_all.deb
libthai0_0.1.14-2_i386.deb
  to main/libt/libthai/libthai0_0.1.14-2_i386.deb
libthai_0.1.14-2.debian.tar.gz
  to main/libt/libthai/libthai_0.1.14-2.debian.tar.gz
libthai_0.1.14-2.dsc
  to main/libt/libthai/libthai_0.1.14-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 573663@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Theppitak Karoonboonyanan <thep@debian.org> (supplier of updated libthai package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 14 Mar 2010 16:58:52 +0700
Source: libthai
Binary: libthai-dev libthai0 libthai-data libthai-doc
Architecture: source all i386
Version: 0.1.14-2
Distribution: unstable
Urgency: medium
Maintainer: Theppitak Karoonboonyanan <thep@debian.org>
Changed-By: Theppitak Karoonboonyanan <thep@debian.org>
Description: 
 libthai-data - Data files for Thai language support library
 libthai-dev - Development files for Thai language support library
 libthai-doc - Documentation files for Thai language support library
 libthai0   - Thai language support library
Closes: 573663
Changes: 
 libthai (0.1.14-2) unstable; urgency=medium
 .
   * Urgency medium due to RC bug fix.
   * patches/01_ftbfs-manpages.patch: Added to turn off manpages generation,
     which are unused anyway. (Closes: #573663)
Checksums-Sha1: 
 71a5497a1a5f85bfd34ec9697ca98c197df47979 1341 libthai_0.1.14-2.dsc
 2f1b354dd75d9a07315b1e9a15c15f9d339a68d1 9483 libthai_0.1.14-2.debian.tar.gz
 b80fbea031553dbd6827807d887e4741f3214846 198282 libthai-data_0.1.14-2_all.deb
 12efeb90a56fede76e6b6df9c2011c6243503fd3 68616 libthai-doc_0.1.14-2_all.deb
 c34acfea6b860205d87bffdfeaff32ac3524c519 54790 libthai-dev_0.1.14-2_i386.deb
 daea4fc016523d427f0ba6592d70df25ea77ccd6 40222 libthai0_0.1.14-2_i386.deb
Checksums-Sha256: 
 81367e6a1407c6357ef7b96733037952459519392027d8002be6f0949974114a 1341 libthai_0.1.14-2.dsc
 224c4fbbc10f3e9d130bf315a314c18dc16092b27fcb607be68bb4c04afe1d25 9483 libthai_0.1.14-2.debian.tar.gz
 b154b6572d3d34ebcd03a8b9ed4a87bd17737e633098453dc0aeb9f1e9c921c1 198282 libthai-data_0.1.14-2_all.deb
 f7ec3316781d05c89b89c5cccf0ef51fb28895a9d87b5b813d619cd87cb16f99 68616 libthai-doc_0.1.14-2_all.deb
 96fb216cd454f7128ee9bc1132ed6474f9a319338b1fe5ed36c1c78dca1715f9 54790 libthai-dev_0.1.14-2_i386.deb
 bcd688db8a50ed8de0216d850dd30a45550279207b23f760d49fd448d5b8820b 40222 libthai0_0.1.14-2_i386.deb
Files: 
 af2ee13ac7beaee4f77f9502fc704163 1341 libs optional libthai_0.1.14-2.dsc
 c4544b6985588cc2814afbb1cda29c82 9483 libs optional libthai_0.1.14-2.debian.tar.gz
 201f73aac77afd1eef48bbf858964586 198282 libs optional libthai-data_0.1.14-2_all.deb
 7b141a56dbcb918bf73b4b2b5cb62d1f 68616 doc optional libthai-doc_0.1.14-2_all.deb
 f25bd29d519f992e10665de03f70e9be 54790 libdevel optional libthai-dev_0.1.14-2_i386.deb
 7f65a895b5a232442969584c8aa6635d 40222 libs optional libthai0_0.1.14-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkucvM4ACgkQqgzR7tCLR/7c/gCfaREli/jys63nO87ffQLf1jF7
JA0An1xyiMDiEaD0JpXaTAt33MaSXcV9
=OU5o
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Apr 2010 07:35:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:03:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.